# Generated by Django 3.2.2 on 2021-07-08 20:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('operators', '0006_add_domain'),
        ('tickets', '0027_auto_20210504_1437'),
    ]

    operations = [
        migrations.AlterField(
            model_name='categorymodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalcategorymodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalnewcontactmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicalprocessmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicaltypifymodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicaltypifyslackmessagemodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='historicaltypifytablesmodel',
            name='operator',
            field=models.ForeignKey(blank=True, db_constraint=False, null=True, on_delete=django.db.models.deletion.DO_NOTHING, related_name='+', to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='newcontactmodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='processmodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='typifymodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='typifyslackmessagemodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
        migrations.AlterField(
            model_name='typifytablesmodel',
            name='operator',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='operators.operatormodel'),
        ),
    ]
